Index: c/src/exec/libnetworking/lib/tftpDriver.c
===================================================================
--- c/src/exec/libnetworking/lib/tftpDriver.c	(revision da0349ca885f49f370d5be97f64095c1ec42f110)
+++ c/src/exec/libnetworking/lib/tftpDriver.c	(revision 48abdc31fd63fb013c131c09bed3a3ef9a230939)
@@ -520,9 +520,5 @@
 
     tp->myAddress.sin_family = AF_INET;
-    /*
-     *  XXX Eric .. how do we get the minor information???
-     * tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + minor);
-     */
-    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try);
+    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + s);
     tp->myAddress.sin_addr.s_addr = htonl (INADDR_ANY);
     if (bind (tp->socket, (struct sockaddr *)&tp->myAddress, sizeof tp->myAddress) >= 0)
@@ -530,8 +526,5 @@
     if (++retryCount == 10) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EBUSY;
     }
@@ -555,8 +548,4 @@
      */
     tp->pkbuf.tftpRWRQ.opcode = htons (TFTP_OPCODE_RRQ);
-      /*
-       *  XXX Eric .. is this cast taking the const off right?
-       */
-
     cp1 = (char *) tp->pkbuf.tftpRWRQ.filename_mode;
     cp2 = (char *) remoteFilename;
@@ -575,8 +564,5 @@
           sizeof tp->farAddress) < 0) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
@@ -596,9 +582,5 @@
         if (sendAck (tp) != 0) {
           close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-          releaseStream (minor);
-       */
-
+          releaseStream (s);
           return EIO;
         }
@@ -608,8 +590,5 @@
         tftpSetErrno (tp);
         close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-       *  releaseStream (minor);
-       */
+        releaseStream (s);
         return EIO;
       }
@@ -621,8 +600,5 @@
     if (++retryCount >= OPEN_RETRY_LIMIT) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
Index: c/src/lib/libnetworking/lib/tftpDriver.c
===================================================================
--- c/src/lib/libnetworking/lib/tftpDriver.c	(revision da0349ca885f49f370d5be97f64095c1ec42f110)
+++ c/src/lib/libnetworking/lib/tftpDriver.c	(revision 48abdc31fd63fb013c131c09bed3a3ef9a230939)
@@ -520,9 +520,5 @@
 
     tp->myAddress.sin_family = AF_INET;
-    /*
-     *  XXX Eric .. how do we get the minor information???
-     * tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + minor);
-     */
-    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try);
+    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + s);
     tp->myAddress.sin_addr.s_addr = htonl (INADDR_ANY);
     if (bind (tp->socket, (struct sockaddr *)&tp->myAddress, sizeof tp->myAddress) >= 0)
@@ -530,8 +526,5 @@
     if (++retryCount == 10) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EBUSY;
     }
@@ -555,8 +548,4 @@
      */
     tp->pkbuf.tftpRWRQ.opcode = htons (TFTP_OPCODE_RRQ);
-      /*
-       *  XXX Eric .. is this cast taking the const off right?
-       */
-
     cp1 = (char *) tp->pkbuf.tftpRWRQ.filename_mode;
     cp2 = (char *) remoteFilename;
@@ -575,8 +564,5 @@
           sizeof tp->farAddress) < 0) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
@@ -596,9 +582,5 @@
         if (sendAck (tp) != 0) {
           close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-          releaseStream (minor);
-       */
-
+          releaseStream (s);
           return EIO;
         }
@@ -608,8 +590,5 @@
         tftpSetErrno (tp);
         close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-       *  releaseStream (minor);
-       */
+        releaseStream (s);
         return EIO;
       }
@@ -621,8 +600,5 @@
     if (++retryCount >= OPEN_RETRY_LIMIT) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
Index: c/src/libnetworking/lib/tftpDriver.c
===================================================================
--- c/src/libnetworking/lib/tftpDriver.c	(revision da0349ca885f49f370d5be97f64095c1ec42f110)
+++ c/src/libnetworking/lib/tftpDriver.c	(revision 48abdc31fd63fb013c131c09bed3a3ef9a230939)
@@ -520,9 +520,5 @@
 
     tp->myAddress.sin_family = AF_INET;
-    /*
-     *  XXX Eric .. how do we get the minor information???
-     * tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + minor);
-     */
-    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try);
+    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + s);
     tp->myAddress.sin_addr.s_addr = htonl (INADDR_ANY);
     if (bind (tp->socket, (struct sockaddr *)&tp->myAddress, sizeof tp->myAddress) >= 0)
@@ -530,8 +526,5 @@
     if (++retryCount == 10) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EBUSY;
     }
@@ -555,8 +548,4 @@
      */
     tp->pkbuf.tftpRWRQ.opcode = htons (TFTP_OPCODE_RRQ);
-      /*
-       *  XXX Eric .. is this cast taking the const off right?
-       */
-
     cp1 = (char *) tp->pkbuf.tftpRWRQ.filename_mode;
     cp2 = (char *) remoteFilename;
@@ -575,8 +564,5 @@
           sizeof tp->farAddress) < 0) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
@@ -596,9 +582,5 @@
         if (sendAck (tp) != 0) {
           close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-          releaseStream (minor);
-       */
-
+          releaseStream (s);
           return EIO;
         }
@@ -608,8 +590,5 @@
         tftpSetErrno (tp);
         close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-       *  releaseStream (minor);
-       */
+        releaseStream (s);
         return EIO;
       }
@@ -621,8 +600,5 @@
     if (++retryCount >= OPEN_RETRY_LIMIT) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
Index: cpukit/libnetworking/lib/tftpDriver.c
===================================================================
--- cpukit/libnetworking/lib/tftpDriver.c	(revision da0349ca885f49f370d5be97f64095c1ec42f110)
+++ cpukit/libnetworking/lib/tftpDriver.c	(revision 48abdc31fd63fb013c131c09bed3a3ef9a230939)
@@ -520,9 +520,5 @@
 
     tp->myAddress.sin_family = AF_INET;
-    /*
-     *  XXX Eric .. how do we get the minor information???
-     * tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + minor);
-     */
-    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try);
+    tp->myAddress.sin_port = htons (UDP_PORT_BASE + nStreams * try + s);
     tp->myAddress.sin_addr.s_addr = htonl (INADDR_ANY);
     if (bind (tp->socket, (struct sockaddr *)&tp->myAddress, sizeof tp->myAddress) >= 0)
@@ -530,8 +526,5 @@
     if (++retryCount == 10) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EBUSY;
     }
@@ -555,8 +548,4 @@
      */
     tp->pkbuf.tftpRWRQ.opcode = htons (TFTP_OPCODE_RRQ);
-      /*
-       *  XXX Eric .. is this cast taking the const off right?
-       */
-
     cp1 = (char *) tp->pkbuf.tftpRWRQ.filename_mode;
     cp2 = (char *) remoteFilename;
@@ -575,8 +564,5 @@
           sizeof tp->farAddress) < 0) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
@@ -596,9 +582,5 @@
         if (sendAck (tp) != 0) {
           close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-          releaseStream (minor);
-       */
-
+          releaseStream (s);
           return EIO;
         }
@@ -608,8 +590,5 @@
         tftpSetErrno (tp);
         close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-       *  releaseStream (minor);
-       */
+        releaseStream (s);
         return EIO;
       }
@@ -621,8 +600,5 @@
     if (++retryCount >= OPEN_RETRY_LIMIT) {
       close (tp->socket);
-      /*
-       *  XXX Eric .. how do we get the minor information to release this???
-        releaseStream (minor);
-       */
+      releaseStream (s);
       return EIO;
     }
